iif.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IIF(bit, t, f) MSGPACK_PP_IIF_OO((bit, t, f))
#define | MSGPACK_PP_IIF_OO(par) MSGPACK_PP_IIF_I ## par
#define | MSGPACK_PP_IIF_I(bit, t, f) MSGPACK_PP_IIF_II(MSGPACK_PP_IIF_ ## bit(t, f))
#define | MSGPACK_PP_IIF_II(id) id
#define | MSGPACK_PP_IIF_0(t, f) f
#define | MSGPACK_PP_IIF_1(t, f) t

## Macro Definition Documentation

## MSGPACK_PP_IIF

#define MSGPACK_PP_IIF | ( |  | bit,
|  |  | t,
|  |  | f
| ) |  | MSGPACK_PP_IIF_OO((bit, t, f))

## MSGPACK_PP_IIF_0

#define MSGPACK_PP_IIF_0 | ( |  | t,
|  |  | f
| ) |  | f

## MSGPACK_PP_IIF_1

#define MSGPACK_PP_IIF_1 | ( |  | t,
|  |  | f
| ) |  | t

## MSGPACK_PP_IIF_I

#define MSGPACK_PP_IIF_I | ( |  | bit,
|  |  | t,
|  |  | f
| ) |  | MSGPACK_PP_IIF_II(MSGPACK_PP_IIF_ ## bit(t, f))

## MSGPACK_PP_IIF_II

#define MSGPACK_PP_IIF_II | ( |  | id | ) | id

## MSGPACK_PP_IIF_OO

#define MSGPACK_PP_IIF_OO | ( |  | par | ) | MSGPACK_PP_IIF_I ## par